<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<title>JavaScript - Reactive DOM with Fetch</title>
</head>
<body>
	<div class="container text-center my-3">
		<h1 class="my-3">Add Post</h1>
		<form id="form-add-post">
			<div class="form-group">
				<label for="txt-title">Title</label>
				<input id="txt-title" type="text" class="form-control" placeholder="Post One">
			</div>
			<div class="form-group">
				<label for="txt-body">Body</label>
				<textarea id="txt-body" class="form-control" placeholder="Lorem ipsum dolor sit amet..."></textarea>
			</div>
			<button class="btn btn-success" type="submit">Create</button>
		</form>
		<h1 class="my-3">Edit Post</h1>
		<form id="form-edit-post">
			<div class="form-group">
				<input class="form-control" type="text" id="txt-edit-id" hidden>
			</div>
			<div class="form-group">
				<label for="txt-edit-title">Title</label>
				<input id="txt-edit-title" type="text" class="form-control" placeholder="Post One">
			</div>
			<div class="form-group">
				<label for="txt-edit-body">Body</label>
				<textarea id="txt-edit-body" class="form-control" placeholder="Lorem ipsum dolor sit amet..."></textarea>
			</div>
			<button class="btn btn-success" id="btn-submit-update" type="submit" disabled>Update</button>
		</form>
		<h1 class="my-3">Posts</h1>
		<div id="div-post-entries" class="my-3"></div>
	</div>
	<script src="./script.js"></script>
	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>